using System;

internal sealed class Delegate116 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate116 delegate116_1)
	{
		return delegate116_1(object_0);
	}

	public extern Delegate116(object object_0, IntPtr intptr_0);

	static Delegate116()
	{
		Class10.smethod_13(typeof(Delegate116).TypeHandle);
	}

	internal static Delegate116 delegate116_0;
}
